yy_buffer_state Struct Reference

## Data Fields

FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
int | yy_buf_size
int | yy_n_chars
int | yy_is_our_buffer
int | yy_is_interactive
int | yy_at_bol
int | yy_bs_lineno
| The line count.
int | yy_bs_column
| The column count.
int | yy_fill_buffer
int | yy_buffer_status

## Field Documentation

## yy_at_bol

int yy_buffer_state::yy_at_bol

Referenced by yy_flush_buffer(), and yy_scan_buffer().

## yy_bs_column

int yy_buffer_state::yy_bs_column

The column count.

Referenced by yy_init_buffer().

## yy_bs_lineno

int yy_buffer_state::yy_bs_lineno

The line count.

Referenced by yy_init_buffer().

## yy_buf_pos

char* yy_buffer_state::yy_buf_pos

Referenced by yy_flush_buffer(), and yy_scan_buffer().

## yy_buf_size

int yy_buffer_state::yy_buf_size

Referenced by yy_create_buffer(), yy_get_next_buffer(), and yy_scan_buffer().

## yy_buffer_status

int yy_buffer_state::yy_buffer_status

Referenced by yy_flush_buffer(), and yy_scan_buffer().

## yy_ch_buf

char* yy_buffer_state::yy_ch_buf

Referenced by yy_create_buffer(), yy_delete_buffer(), yy_flush_buffer(), yy_get_next_buffer(), and yy_scan_buffer().

## yy_fill_buffer

int yy_buffer_state::yy_fill_buffer

Referenced by yy_init_buffer(), and yy_scan_buffer().

## yy_input_file

FILE* yy_buffer_state::yy_input_file

Referenced by yy_init_buffer(), and yy_scan_buffer().

## yy_is_interactive

int yy_buffer_state::yy_is_interactive

Referenced by yy_init_buffer(), and yy_scan_buffer().

## yy_is_our_buffer

int yy_buffer_state::yy_is_our_buffer

Referenced by yy_create_buffer(), yy_delete_buffer(), yy_get_next_buffer(), yy_scan_buffer(), and yy_scan_bytes().

## yy_n_chars

int yy_buffer_state::yy_n_chars

Referenced by yy_flush_buffer(), and yy_scan_buffer().

The documentation for this struct was generated from the following file:

- lex.yy.c